## org.hibernate.cache
Interface EntityRegion

All Superinterfaces:
  Region, TransactionalDataRegion

All Known Implementing Classes:
  EntityRegionAdapter, EntityRegionImpl

    public interface EntityRegion

extends TransactionalDataRegion

Defines the contract for a cache region which will specifically be used to store entity data.

Author:
  Steve Ebersole

Method Summary
`EntityRegionAccessStrategy` `buildAccessStrategy(AccessType accessType)` Build an access strategy for the requested access type.

Methods inherited from interface org.hibernate.cache.TransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from interface org.hibernate.cache.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Method Detail

### buildAccessStrategy

    EntityRegionAccessStrategy buildAccessStrategy(AccessType accessType)
                                                   throws CacheException

  Build an access strategy for the requested access type.

  Parameters:
    `accessType` - The type of access strategy to build; never null.
  Returns:
    The appropriate strategy contract for accessing this region for the requested type of access.
  Throws:
    `CacheException` - Usually indicates mis-configuration.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.